
<?php
// get the list of all categories
$categories = $block->getCategoryCollection(); 
$menu_items = [];
foreach ($categories as $category) {
	if($category->getLevel() <= 3){
		continue;
	}
	$parent = $category->getParentCategory();
	$parent_id = $parent->getId();
	//$menu_items[$parent_id][] = $category->getName()."=".$category->getLevel();
   if($category->getLevel() == 4){
   		echo $category->getName()."<br />";
   }
}
echo "<pre>";
print_r($parent->getData());
die();
  foreach ($categories as $key => $value) {
            $temp = $value->getData();
            $categoryObj = $this->_repository->get($temp['entity_id']);
            $subcategories = $categoryObj->getChildrenCategories();
            foreach($subcategories as $key2 => $subcategorie) {
                if($subcategorie->hasChildren()) {
                    $childCategoryObj = $this->_repository->get($subcategorie->getId());
                    $childSubcategories = $childCategoryObj->getChildrenCategories();
                    foreach($childSubcategories as $childSubcategorie) {
                        $temp2 = $childSubcategorie->getData();
                        $temp1['children'][] = $temp2;
                    }
                    $temp['children'][] = $temp1;
                }
            }
            $item[$key][] = $temp;
        }
// Here you can get all the children upto 2 level in "item" variable
echo "<pre>";
print_r($item);